export default DatePickerInput;
/** @type {React.ComponentType<any>} */
declare class DatePickerInput extends React.PureComponent<any, any, any> {
    static getDerivedStateFromProps(props: any, state: any): {
        selectedDate: any;
    } | null;
    constructor(props: any);
    constructor(props: any, context: any);
    state: {
        isPopoverActive: boolean;
        popoverAnchorEl: null;
        selectedDate: null;
    };
    getFormattedDate: () => any;
    handleInputFocus: (event: any) => void;
    handleInputClick: (event: any) => void;
    handlePopoverClose: () => void;
    handleDatePickerDateChange: (date: any) => void;
    renderIcon: () => JSX.Element;
    render(): JSX.Element;
}
declare namespace DatePickerInput {
    const propTypes: React.WeakValidationMap<any> | undefined;
    const defaultProps: Partial<any> | undefined;
}
import React from "react";
